#*@@@@@@@@@@@@@@@@@@@@@@@@ Makefile @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
# Random Option Pricing
# Summer 2002
# Authors: A. Korobchevsky
#          S. Ferrando
# Ryerson University ALL RIGHTS RESERVED

# Purpose: Compiles the RNG, gauss, testint benchmarks 
#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*/

# Which compiler
CC=g++

#Libraries
LIB=-L../../../Lib/MyGSL/Obj -lmygsl

all: testgen.o GSL_RandomGen.o
	$(CC) -o testgen testgen.o GSL_RandomGen.o $(LIB)

gauss: GSL_RandomGen.o testGauss.cpp
	$(CC) -o testGauss testGauss.cpp GSL_RandomGen.o $(LIB)

testint: GSL_RandomGen.o testint.cpp
	$(CC) -o testint testint.cpp GSL_RandomGen.o $(LIB)

testgen.o: testgen.cpp
	$(CC) -c testgen.cpp

GSL_RandomGen.o: ../GSL_RandomGen.cpp ../GSL_RandomGen.h
	$(CC) -c ../GSL_RandomGen.cpp 

clean:
	rm -f *.o testgen testint testGauss *~ ../*~
